IDA SDK

- Main Page
- Header Files
- Classes
- Modules

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | Public Member Functions | List of all members
memory_info_t Struct Reference

## Detailed Description

Used by debugger modules to report memory are information to IDA kernel.

It is ok to return empty fields if information is not available.

Inherits area_t.

## Public Attributes
qstring | name
| Memory area name.
qstring | sclass
| Memory area class name.
ea_t | sbase
| Segment base (meaningful only for segmented architectures, e.g. More...
uchar | bitness
| Number of bits in segment addresses (0-16bit, 1-32bit, 2-64bit)
uchar | perm
| Memory area permissions (0-no information): see segment.hpp.
Public Attributes inherited from area_t
ea_t | startEA
| startEA included
ea_t | endEA
| endEA excluded

## Public Member Functions
bool | operator== (const memory_info_t &r) const
bool | operator!= (const memory_info_t &r) const
Public Member Functions inherited from area_t
| area_t (void)
| Constructor.
| area_t (ea_t ea1, ea_t ea2)
| Constructor.
int | compare (const area_t &r) const
| Compare two area_t instances, based on the startEA.
bool | operator== (const area_t &r) const
| Compare two area_t's with '=='.
bool | operator!= (const area_t &r) const
| Compare two area_t's with '!='.
bool | operator> (const area_t &r) const
| Compare two area_t's with '<'.
bool | operator< (const area_t &r) const
| Compare two area_t's with '>'.
bool | contains (ea_t ea) const
| Is 'ea' in the address range?
bool | contains (const area_t &r) const
| Is every ea in 'r' also in this area_t?
bool | overlaps (const area_t &r) const
| Is there an ea in 'r' that is also in this area_t?
void | clear (void)
| Set startEA, endEA to 0.
bool | empty (void) const
| Is the size of the area_t <= 0?
asize_t | size (void) const
| Get endEA - startEA.
void | intersect (const area_t &r)
| Assign the area_t to the intersection between the area_t and 'r'.
void | extend (ea_t ea)
| Ensure that the area_t includes 'ea'.
size_t | print (char *buf, size_t bufsize) const
| Print the area_t. More...

## Member Data Documentation

ea_t memory_info_t::sbase

Segment base (meaningful only for segmented architectures, e.g.

16-bit x86) The base is specified in paragraphs (i.e. shifted to the right by 4)

The documentation for this struct was generated from the following file:

- idd.hpp